## org.apache.lucene.analysis.fr
Class FrenchMinimalStemmer

    java.lang.Object
      org.apache.lucene.analysis.fr.FrenchMinimalStemmer

    public class FrenchMinimalStemmer

extends Object

Light Stemmer for French.

This stemmer implements the following algorithm: A Stemming procedure and stopword list for general French corpora. Jacques Savoy.

Constructor Summary
`FrenchMinimalStemmer()`

Method Summary
`int` `stem(char[] s, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrenchMinimalStemmer

    public FrenchMinimalStemmer()

Method Detail

### stem

    public int stem(char[] s,
                    int len)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.